"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.legacyIsInteger = exports.isLegacyEnvironment = void 0;
/**
 * Check if browser supports Array.isArray
 */
const isLegacyEnvironment = () => {
    if (typeof Number.isInteger === 'undefined') {
        return true;
    }
    return false;
};
exports.isLegacyEnvironment = isLegacyEnvironment;
/**
 * For browsers & Node versions
 * that do not support Array.isArray
 */
const legacyIsInteger = (input) => typeof input === 'number' && Number.isFinite(input) && Math.floor(input) === input;
exports.legacyIsInteger = legacyIsInteger;
exports.default = {
    isLegacyEnvironment: exports.isLegacyEnvironment,
    legacyIsInteger: exports.legacyIsInteger,
};
//# sourceMappingURL=integers.js.map